APIキーの更新(V2)
Updates a customized ACL API key. Role assignments use full replacement semantics.
https://api.cloud.zilliz.com
export BASE_URL="https://api.cloud.zilliz.com"
認証トークンは、適切な権限を持つAPIキーである必要があります。
パブリックAPIキーID。
APIキーの表示名。空白にすることはできません。
APIキーの説明。
APIキーに割り当てる組織ロール: Owner、Member、または Billing-Admin。
プロジェクトレベルのアクセスリスト。orgRole が Member の場合に必須です。
プロジェクトID。
プロジェクトロール: Admin、Read-Write、または Read-Only。
アクセスがプロジェクト内のすべてのクラスターを対象とするかどうか。
allCluster が false の場合にAPIキーがアクセスできるクラスター。
アクセスがプロジェクト内のすべてのボリュームを対象とするかどうか。
allVolume が false の場合にAPIキーがアクセスできるボリューム。
export TOKEN="YOUR_API_KEY"
export apiKeyId="key-xxxxxxxxxxxxxx"
curl --request PUT \
--url "${BASE_URL}/v2/api-keys/${apiKeyId}" \
--header "Authorization: Bearer ${TOKEN}" \
--header "Request-Timeout: 5" \
--header "Content-Type: application/json" \
-d '{
"name": "Data Pipeline Production",
"description": "Production ingestion pipeline",
"orgRole": "Member",
"projects": [
{
"projectId": "proj-xxxxxxxx",
"role": "Data Reader",
"allCluster": true,
"allVolume": true
}
]
}'
成功した結果またはエラーメッセージを返します。
成功したレスポンス。
レスポンスコード。
パブリックAPIキーID。
APIキーの表示名。
APIキーの説明。
作成者の解決済み表示名。
作成者のメールアドレスまたは作成者APIキーID。
APIキーに割り当てられた組織ロール: Owner、Member、または Billing-Admin。
APIキーに付与されたプロジェクトレベルのアクセス。
プロジェクトID。
プロジェクトの表示名。
プロジェクトロール: Admin、Read-Write、または Read-Only。
アクセスがプロジェクト内のすべてのクラスターを対象とするかどうか。
APIキーがアクセスできるクラスター。
クラスターID。
クラスターの表示名。
アクセスがプロジェクト内のすべてのボリュームを対象とするかどうか。
APIキーがアクセスできるボリューム。
ボリュームID。
ボリュームの表示名。
UTC ISO 8601形式の作成時刻。
失敗したレスポンス。
レスポンスコード。
エラーメッセージ。
{
"code": 0,
"data": {
"apiKeyId": "key-xxxxxxxxxxxxxx",
"name": "Data Pipeline Production",
"description": "Production ingestion pipeline",
"creatorName": "Alice",
"createdBy": "alice@example.com",
"createTime": "2026-07-22T02:30:00Z",
"orgRole": "Member",
"projects": [
{
"projectId": "proj-xxxxxxxx",
"projectName": "Project xxxx",
"role": "Data Reader",
"allCluster": true,
"clusters": [],
"allVolume": true,
"volumes": []
}
]
}
}